#pragma once

// Base Class
#include "../Extractor.h"

namespace armarx::armem::server::ltm::extractor
{
    class NoExtractor;
    typedef std::shared_ptr<NoExtractor> NoExtractorPtr;

    class NoExtractor : public Extractor
    {
    public:
        NoExtractor() = default;

        virtual Extraction extract(aron::data::DictPtr& data) override;
        virtual aron::data::DictPtr merge(Extraction& encoding) override;
    };
}
