#include "FrequencyFilter.h"

#include <IceUtil/Time.h>

namespace armarx::armem::server::ltm::filter
{
    bool FrequencyFilter::accept(const armem::wm::Memory&)
    {
        auto now = IceUtil::Time::now().toMilliSeconds();
        if (waitingTimeInMs < 0 || (now - timestampLastCommitInMs) > waitingTimeInMs)
        {
            timestampLastCommitInMs = now;
            return true;
        }
        return false;
    }
}
