#pragma once

// Base Class
#include "../Filter.h"

namespace armarx::armem::server::ltm::filter
{
    class FrequencyFilter;
    typedef std::shared_ptr<FrequencyFilter> FrequencyFilterPtr;

    class FrequencyFilter :
            public Filter
    {
    public:
        FrequencyFilter() = default;

        virtual bool accept(const armem::wm::Memory& memory) override;

    private:
        int waitingTimeInMs = 10;
        long timestampLastCommitInMs = 0;
    };
}
