#pragma once

// STD/STL
#include <memory>

// ArmarX
#include <RobotAPI/libraries/armem/core/MemoryID.h>
#include <RobotAPI/libraries/armem/core/wm/memory_definitions.h>

namespace armarx::armem::server::ltm
{
    class Filter;
    typedef std::shared_ptr<Filter> FilterPtr;

    class Filter
    {
    public:
        Filter() = default;
        virtual ~Filter() = default;

        virtual bool accept(const armem::wm::Memory& memory) = 0;
    };
}
