#pragma once

#include <filesystem>

#include "Data.h"

namespace armarx::armem::server::ltm::disk
{
    class DiskStorage
    {
    public:
        DiskStorage() = default;
        DiskStorage(const std::filesystem::path&);

        void setPath(const std::string&);

    protected:
        bool checkPath() const;

        virtual std::string getExpectedFolderName() const = 0;

    public:
        std::string path;
    };
} // namespace armarx::armem::server::ltm::disk
